#ifndef MIND_COMPONENT_H
#define MIND_COMPONENT_H

#include <spinscale/component.h>

namespace smo {

class MindComponent
:	public sscl::PuppetComponent
{
public:
	using sscl::PuppetComponent::PuppetComponent;

	static void preJoltHook(sscl::PuppetThread &thr);

	void handleLoopExceptionHook() override;
	void preLoopHook() override;
	void postLoopHook() override;
};

} // namespace smo

#endif // MIND_COMPONENT_H
